Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QRegion.RegionType

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QRegion.RegionType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QRegion

    public static final class QRegion.RegionType

extends java.lang.Enum
implements QtEnumerator

Specifies the shape of the region to be created.

See Also:
  Serialized Form

Field Summary
`static QRegion.RegionType` | `Ellipse` the region is an ellipse inside the rectangle.
`static QRegion.RegionType` | `Rectangle` the region covers the entire rectangle.

Method Summary
`static QRegion.RegionType` | `resolve(int value)` Returns the QRegion$RegionType constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QRegion.RegionType` | `valueOf(java.lang.String name)`
`static QRegion.RegionType[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Rectangle

    public static final QRegion.RegionType Rectangle

  the region covers the entire rectangle.

### Ellipse

    public static final QRegion.RegionType Ellipse

  the region is an ellipse inside the rectangle.

Method Detail

### values

    public static QRegion.RegionType[] values()

### valueOf

    public static QRegion.RegionType valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QRegion.RegionType resolve(int value)

  Returns the QRegion$RegionType constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD